{% extends 'base.html.twig' %}

{% block title %}Actualités{% endblock %}

{% block body %}
<!-- ARTICLES -->
    <section class="pt-7 pt-md-10">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h2 class="mb-0">Actualités</h2>
                    <p class="mb-5 text muted">
                        These can be split into smaller grid size
                    </p>
                </div>

                {% for actualite in actualites %}        
                    <div class="col-12 col-md-6 d-flex">
                        <div class="card mb-6 shadow-light-lg">
                            <a href="{{ path('actualite_detail', {'slug': actualite.slug}) }}" class="card-body">
                                <h3>{{ actualite.titre }}</h3>                              
                                <p class="mb-0 text-muted">{{ actualite.contenu|u.truncate(150,'...', false) }}</p>
                            </a>
                            <a href="#!" class="card-meta mt-auto">
                                <hr class="card-meta-divider">
                                <p class="h6 text-uppercase text-muted mb-0 ms-auto">
                                    <time>Ajoutée le {{ actualite.createdAt | date('d/m/Y') }}</time>
                                </p>
                            </a>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
        <br>
        <div class="d-flex justify-content-center">
            {% do actualites.setPageRange(2) %}
            {{ knp_pagination_render(actualites,'base/pagination.html.twig') }}
        </div>
    </section>

{% endblock %}
